Bug 1789746 - [Kuryr] Cluster destroy command timesout
Summary: [Kuryr] Cluster destroy command timesout
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.4.0
Assignee: Luis Tomas Bolivar
QA Contact: Jon Uriarte
URL:
Whiteboard:
Depends On:
Blocks: 1789748
TreeView+ depends on / blocked
 
Reported: 2020-01-10 10:42 UTC by Luis Tomas Bolivar
Modified: 2020-05-04 11:24 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1789748 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:23:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2899 None closed Bug 1789746: Ensure enough number of retries for cluster with Kuryr SDN 2020-04-27 08:44:28 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:24:24 UTC

Description Luis Tomas Bolivar 2020-01-10 10:42:00 UTC
When using Kuryr SDN the number of resources created on the
OpenStack side is way larger than for the OpenShift SDN case.
For this reason, as there is no specific order for the resources
to be deleted, the chances of the deletion of one resource (e.g.,
a network) being blocked by the deletion of another (e.g. a port
on that network) are higher, thus needing more retries or the
destroy command times out

Comment 2 Jon Uriarte 2020-01-24 16:24:17 UTC
Verified in 4.4.0-0.nightly-2020-01-24-071633 build on top of OSP 16 RHOS_TRUNK-16.0-RHEL-8-20191224.n.0 puddle.

The OCP installer finishes successfully (with Kuryr):

 $ oc get clusterversion
 NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
 version   4.4.0-0.nightly-2020-01-24-071633   True        False         137m    Cluster version is 4.4.0-0.nightly-2020-01-24-071633

Cluster deletion worked as well (no timeout), and all the resources were deleted.

Comment 4 errata-xmlrpc 2020-05-04 11:23:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.